RSS   Vulnerabilities for 'Android ble library'   RSS

2020-07-07
 
CVE-2020-15509

CWE-311
 

 
Nordic Semiconductor Android BLE Library through 2.2.1 and DFU Library through 1.10.4 for Android (as used by nRF Connect and other applications) can engage in unencrypted communication while showing the user that the communication is purportedly encrypted. The problem is in bond creation (e.g., internalCreateBond in BleManagerHandler).

 

 >>> Vendor: Nordicsemi 2 Products
Android ble library
Dfu library


Copyright 2020, cxsecurity.com

 

Back to Top